### Type parameters

- #### T

### Hierarchy

- BatchGetSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- tableName

### Methods

- consistentRead
- exec
- execFullResponse
- execNoMap
- fetch
- mapResponse

## Constructors

### constructor

- new BatchGetSingleTableRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, keys: Array<Partial<T>>): BatchGetSingleTableRequest

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:26

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### keys: Array<Partial<T>>

  #### Returns BatchGetSingleTableRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:20

### Private logger

logger: Logger

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:26

### metadata

metadata: Metadata<T>

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:25

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:22

### params

params: BatchGetItemInput

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:21

### tableName

tableName: string

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:23

## Methods

### consistentRead

- consistentRead(value?: boolean): BatchGetSingleTableRequest<T>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:57

  #### Parameters

  - ##### Default value value: boolean = true

  #### Returns BatchGetSingleTableRequest<T>

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<T[]>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:73

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<T[]>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchGetSingleTableResponse<T>>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:66

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<BatchGetSingleTableResponse<T>>

### execNoMap

- execNoMap(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:62

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<BatchGetItemOutput>

### Private fetch

- fetch(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:96

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<BatchGetItemOutput>

### Private mapResponse

- mapResponse(response: BatchGetItemOutput): object

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:81

  #### Parameters

  - ##### response: BatchGetItemOutput

  #### Returns object

  - ##### ConsumedCapacity: undefined | ConsumedCapacity[]

  - ##### Items: T[]

  - ##### UnprocessedKeys: undefined | object

Generated using TypeDoc